changeset 740:5b063eb13fd0

Quick and dirty script to run smoketest.sh on all targets, to see if they can compile and run "hello world".
author Rob Landley <rob@landley.net>
date Sat, 30 May 2009 18:21:03 -0500
parents 104e8a35ea2e
children 1b6acc6cf349
files smoketest-all.sh
diffstat 1 files changed, 11 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/smoketest-all.sh	Sat May 30 18:21:03 2009 -0500
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+# Test all targets to see whether or not they can compile and run "hello world"
+
+ls -pd build/system-image-* | sed -n 's@.*/system-image-\(.*\)/@\1@p' | while read i
+do
+  echo -n "Testing $i:"
+  RESULT="$(./smoketest.sh "$i" 2>&1 | grep 'Hello world!')"
+  [ -z "$RESULT" ] && echo "FAIL" || echo "PASS"
+  rm -f build/system-image-"$i"/hdb.img 2>/dev/null
+done